Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
sempre problemi di compilazione!!!!
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Sun Dec 26, 2010 11:30 am    Post subject: sempre problemi di compilazione!!!! Reply with quote

ogni volta che cerco di compilare qualcosa mi esce questo errore!!!
Code:
>>> Emerging (1 of 6) dev-python/gtkmozembed-python-2.25.3
 * gnome-python-extras-2.25.3.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                                                 [ ok ]
 * Package:    dev-python/gtkmozembed-python-2.25.3
 * Repository: gentoo
 * Maintainer: gnome@gentoo.org python@gentoo.org
 * USE:  amd64 elibc_glibc kernel_linux multilib userland_GNU
>>> Unpacking source...
>>> Unpacking gnome-python-extras-2.25.3.tar.bz2 to /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/work
>>> Source unpacked in /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/work
>>> Preparing source in /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/work/gnome-python-extras-2.25.3 ...
 * Applying gtkmozembed-python-2.19.1-libtool2.patch ...                                                                                              [ ok ]
 * Applying gtkmozembed-python-2.25.3-xulrunner19.patch ...                                                                                           [ ok ]
 * Applying gtkmozembed-python-2.19.1-include-nspr.patch ...                                                                                          [ ok ]
 * Running eautoreconf in '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/work/gnome-python-extras-2.25.3' ...
 * Running aclocal ...                                                                                                                                [ ok ]
 * Running autoconf ...                                                                                                                               [ !! ]

 * Failed Running autoconf !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/autoconf.out

 * ERROR: dev-python/gtkmozembed-python-2.25.3 failed:
 *   Failed Running autoconf !
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 6135:  Called eautoreconf
 *   environment, line 1834:  Called eautoconf
 *   environment, line 1770:  Called autotools_run_tool 'autoconf'
 *   environment, line 1097:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of 'emerge --info =dev-python/gtkmozembed-python-2.25.3',
 * the complete build log and the output of 'emerge -pqv =dev-python/gtkmozembed-python-2.25.3'.
 * The complete build log is located at '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/environment'.
 * S: '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/work/gnome-python-extras-2.25.3'

>>> Failed to emerge dev-python/gtkmozembed-python-2.25.3, Log file:

>>>  '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/build.log'

 * Messages for package dev-python/gtkmozembed-python-2.25.3:

 * Failed Running autoconf !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/autoconf.out
 * ERROR: dev-python/gtkmozembed-python-2.25.3 failed:
 *   Failed Running autoconf !
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 6135:  Called eautoreconf
 *   environment, line 1834:  Called eautoconf
 *   environment, line 1770:  Called autotools_run_tool 'autoconf'
 *   environment, line 1097:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of 'emerge --info =dev-python/gtkmozembed-python-2.25.3',
 * the complete build log and the output of 'emerge -pqv =dev-python/gtkmozembed-python-2.25.3'.
 * The complete build log is located at '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/environment'.
 * S: '/var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/work/gnome-python-extras-2.25.3'

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4657
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Sun Dec 26, 2010 12:45 pm    Post subject: Reply with quote

brutto errore.
e non lascia uno straccio di traccia utile nel log.

prova a modifare l'ebuild, mettendo un'istruzione sh -i davanti al comando eautoreconf.
poi lancia, in successione aclocal e strace -f -eopen autoconf.

magari ti viene un'idea...
:).

alla peggio, posta su bugzilla e vedi se ti suggeriscono qualcosa.
se il tuo errore è sistematico, cioè accade su ogni pacchetto, probabilmente c'è una corruzione che non è facile scoprire a caso.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Sun Dec 26, 2010 1:19 pm    Post subject: Reply with quote

Visto che l'errore capita quando viene richiamato autoconf io proverei a ricompilare sys-devel/autoconf.
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Sun Dec 26, 2010 4:49 pm    Post subject: Re: sempre problemi di compilazione!!!! Reply with quote

luca120 wrote:
Code:
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/autoconf.out
quindi andrei a vedere cosa dice codesto file, tanto per curiosità.

A naso aggiungerei --with-bdeps y in make.conf (a mente dovrebbe essere in PORTAGE_DEFAULTS o qulcosa del genere) e lancerei un bel revdep-rebuild -X ; emerge -aDNUv @world ; emerge -1 @preserved-rebuild ; emerge --depclean -p per vedere se c'è qualcosa di troppo o non aggiornato nelle dipendeze di autoconf. (bada che mi riferisco a portage 2 non ricordo se con la versione corrente c'è preserverd-rebuild o come diavolo si chiama).

Rispondo frettolosamente e di getto quindi è gradito se correggete eventuali refusi.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Sun Dec 26, 2010 10:14 pm    Post subject: Re: sempre problemi di compilazione!!!! Reply with quote

djinnZ wrote:
luca120 wrote:
Code:
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/temp/autoconf.out
quindi andrei a vedere cosa dice codesto file, tanto per curiosità.

A naso aggiungerei --with-bdeps y in make.conf (a mente dovrebbe essere in PORTAGE_DEFAULTS o qulcosa del genere) e lancerei un bel revdep-rebuild -X ; emerge -aDNUv @world ; emerge -1 @preserved-rebuild ; emerge --depclean -p per vedere se c'è qualcosa di troppo o non aggiornato nelle dipendeze di autoconf. (bada che mi riferisco a portage 2 non ricordo se con la versione corrente c'è preserverd-rebuild o come diavolo si chiama).

Rispondo frettolosamente e di getto quindi è gradito se correggete eventuali refusi.


grazie a tutti per avermi risposto :) allora quella riga anche io l'ho natata e sono andato a vedere cosa mi diceva mi posto il contenuto del file :)
Code:
***** autoconf *****
***** PWD: /var/tmp/portage/dev-python/gtkmozembed-python-2.25.3/work/gnome-python-extras-2.25.3
***** autoconf

configure.ac:83: error: possibly undefined macro: AC_DISABLE_STATIC
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
configure.ac:84: error: possibly undefined macro: AC_LIBTOOL_WIN32_DLL
configure.ac:85: error: possibly undefined macro: AC_PROG_LIBTOOL
configure.ac:91: error: possibly undefined macro: AC_MSG_ERROR
configure.ac:137: error: possibly undefined macro: AM_PATH_GLIB_2_0
configure.ac:143: error: possibly undefined macro: AM_PATH_GTK_2_0



p.s sto ricompilando per vedere se era corrotto l'autoconf


ok con il comando
Code:
emerge -aDNv etc..



mi si ferma e mi esce questo errore!!
Code:
>>> Emerging (6 of 22) dev-db/sqlite-3.7.2
 * sqlite-amalgamation-3.7.2.tar.gz RMD160 SHA1 SHA256 size ;-) ...                                                                                   [ ok ]
 * Package:    dev-db/sqlite-3.7.2
 * Repository: gentoo
 * Maintainer: arfrever@gentoo.org betelgeuse@gentoo.org
 * USE:  amd64 elibc_glibc extensions fts3 kernel_linux multilib readline threadsafe userland_GNU
>>> Unpacking source...
>>> Unpacking sqlite-amalgamation-3.7.2.tar.gz to /var/tmp/portage/dev-db/sqlite-3.7.2/work
>>> Source unpacked in /var/tmp/portage/dev-db/sqlite-3.7.2/work
>>> Preparing source in /var/tmp/portage/dev-db/sqlite-3.7.2/work/sqlite-3.7.2 ...
 * Applying sqlite-3.6.22-interix-fixes-amalgamation.patch ...                                                                                        [ ok ]
 * Running eautoreconf in '/var/tmp/portage/dev-db/sqlite-3.7.2/work/sqlite-3.7.2' ...
 * Running aclocal ...                                                                                                                                [ ok ]
 * Running autoconf ...                                                                                                                               [ !! ]

 * Failed Running autoconf !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-db/sqlite-3.7.2/temp/autoconf.out

 * ERROR: dev-db/sqlite-3.7.2 failed:
 *   Failed Running autoconf !
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 3514:  Called eautoreconf
 *   environment, line 1152:  Called eautoconf
 *   environment, line 1088:  Called autotools_run_tool 'autoconf'
 *   environment, line  617:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of 'emerge --info =dev-db/sqlite-3.7.2',
 * the complete build log and the output of 'emerge -pqv =dev-db/sqlite-3.7.2'.
 * The complete build log is located at '/var/tmp/portage/dev-db/sqlite-3.7.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-db/sqlite-3.7.2/temp/environment'.
 * S: '/var/tmp/portage/dev-db/sqlite-3.7.2/work/sqlite-3.7.2'

>>> Failed to emerge dev-db/sqlite-3.7.2, Log file:

>>>  '/var/tmp/portage/dev-db/sqlite-3.7.2/temp/build.log'

 * Messages for package dev-db/sqlite-3.7.2:

 * Failed Running autoconf !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/dev-db/sqlite-3.7.2/temp/autoconf.out
 * ERROR: dev-db/sqlite-3.7.2 failed:
 *   Failed Running autoconf !
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 3514:  Called eautoreconf
 *   environment, line 1152:  Called eautoconf
 *   environment, line 1088:  Called autotools_run_tool 'autoconf'
 *   environment, line  617:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of 'emerge --info =dev-db/sqlite-3.7.2',
 * the complete build log and the output of 'emerge -pqv =dev-db/sqlite-3.7.2'.
 * The complete build log is located at '/var/tmp/portage/dev-db/sqlite-3.7.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-db/sqlite-3.7.2/temp/environment'.
 * S: '/var/tmp/portage/dev-db/sqlite-3.7.2/work/sqlite-3.7.2'

 * GNU info directory index is up-to-date.

 * IMPORTANT: 6 config files in '/etc' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.



p.s non so se c'entra qualcosa ma io ho installato gnome-light


Quote:
brutto errore.
e non lascia uno straccio di traccia utile nel log.

prova a modifare l'ebuild, mettendo un'istruzione sh -i davanti al comando eautoreconf.
poi lancia, in successione aclocal e strace -f -eopen autoconf.

magari ti viene un'idea...
.

alla peggio, posta su bugzilla e vedi se ti suggeriscono qualcosa.
se il tuo errore è sistematico, cioè accade su ogni pacchetto, probabilmente c'è una corruzione che non è facile scoprire a caso.


come faccio a modificate l'ebuild? scusa ma sono nuovo nel mondo di gentoo!


Last edited by luca120 on Sun Dec 26, 2010 10:31 pm; edited 1 time in total
Back to top
View user's profile Send private message
ciro64
Guru
Guru


Joined: 20 Jun 2009
Posts: 424

PostPosted: Sun Dec 26, 2010 11:03 pm    Post subject: Reply with quote

Prova prima un
Code:

# emerge --oneshot autoconf

vedi se lo porta a termine.
_________________
Gentoo: il sistema più eclettico e geniale che abbia mai provato :)
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Sun Dec 26, 2010 11:12 pm    Post subject: Reply with quote

ciro64 wrote:
Prova prima un
Code:

# emerge --oneshot autoconf

vedi se lo porta a termine.


si con questo comando tutto viene compilato alla perfezione!
Back to top
View user's profile Send private message
ciro64
Guru
Guru


Joined: 20 Jun 2009
Posts: 424

PostPosted: Sun Dec 26, 2010 11:14 pm    Post subject: Reply with quote

Quindi ora riesci a proseguire anche col resto ?
_________________
Gentoo: il sistema più eclettico e geniale che abbia mai provato :)
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Sun Dec 26, 2010 11:19 pm    Post subject: Reply with quote

ciro64 wrote:
Quindi ora riesci a proseguire anche col resto ?


mmm no io intendevo solo con quel comando va a buon fine la compilazione per il resto nulla sempre lo stesso errore!!!
Back to top
View user's profile Send private message
ciro64
Guru
Guru


Joined: 20 Jun 2009
Posts: 424

PostPosted: Sun Dec 26, 2010 11:28 pm    Post subject: Reply with quote

prova a vedere cosa ti dice
Code:

eselect python list

_________________
Gentoo: il sistema più eclettico e geniale che abbia mai provato :)
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Sun Dec 26, 2010 11:45 pm    Post subject: Reply with quote

ciro64 wrote:
prova a vedere cosa ti dice
Code:

eselect python list


mmm ho fatto cosi con quel comando che mi hai detto te
Code:
eselect python list
Available Python interpreters:
  [1]   python2.6 *
  [2]   python3.1
Gentoo luca # eselect python set 2


poi ho riprovato am nulla :(:(:( sempre lo stesso errore
Back to top
View user's profile Send private message
ciro64
Guru
Guru


Joined: 20 Jun 2009
Posts: 424

PostPosted: Sun Dec 26, 2010 11:49 pm    Post subject: Reply with quote

No
devi lasciarlo sul 2.6 di default; poi ci pensa il python-wrapper. fai:
Code:
# eselect python set 1

quindi
Code:

# python-updater

Potrebbe impiegarci un po'.
Prova quidi a proseguire con la compilazione.
Se trovi ancora difficoltà, proverei anche
Code:

# lafilefixer --justfixit
# revdep-rebuild


[ot]
e ora... 'notte :)
[/ot]
_________________
Gentoo: il sistema più eclettico e geniale che abbia mai provato :)


Last edited by ciro64 on Sun Dec 26, 2010 11:51 pm; edited 1 time in total
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Sun Dec 26, 2010 11:51 pm    Post subject: Reply with quote

se si pensa che il problema sia autoconf ( e non si riesce a compilare nemmeno quello ), setta
Code:
PORTAGE_BINHOST
in make.conf ed emergi il binario
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Mon Dec 27, 2010 12:04 am    Post subject: Reply with quote

ago wrote:
se si pensa che il problema sia autoconf ( e non si riesce a compilare nemmeno quello ), setta
Code:
PORTAGE_BINHOST
in make.conf ed emergi il binario


no no autoconf me lo compila tranquillamente ma il resto no!!! tipo gparted non lo compila, l'aggiornamento del sistema non lo termina ma esce l'errore che ho detto prima!! non compila gnomenu insomma non compila QUASI nulla (circa il 80% termina la compilazione mi restituisce l'errore che ho riportato all'inizio del post) tranne autoconf!!!
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Mon Dec 27, 2010 10:25 am    Post subject: Reply with quote

ciro64 wrote:
No
devi lasciarlo sul 2.6 di default; poi ci pensa il python-wrapper. fai:
Code:
# eselect python set 1

quindi
Code:

# python-updater

Potrebbe impiegarci un po'.
Prova quidi a proseguire con la compilazione.
Se trovi ancora difficoltà, proverei anche
Code:

# lafilefixer --justfixit
# revdep-rebuild


[ot]
e ora... 'notte :)
[/ot]


sto provando ora a fare i passaggi che mi haii detto :) appena finisce modifico questa risposta, spero in positivo :) grazie :)


ok provato nulla rimane l'errore :(
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Mon Dec 27, 2010 7:53 pm    Post subject: Reply with quote

è possibile un problema di versione??? o mi manca qualche pacchetto???? perche su alcune compilazione va e altre no o se no mi escono altri erroi tipo die econf

o se no
Code:
>>> Failed to emerge sys-devel/libtool-2.2.10, Log file:

>>>  '/var/tmp/portage/sys-devel/libtool-2.2.10/temp/build.log'

 * Messages for package sys-devel/libtool-2.2.10:

 * Failed Running automake !
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/sys-devel/libtool-2.2.10/temp/automake-19424.out
 * ERROR: sys-devel/libtool-2.2.10 failed:
 *   Failed Running automake !
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 2903:  Called eautoreconf
 *   environment, line  924:  Called eautomake
 *   environment, line  893:  Called autotools_run_tool 'automake' '--add-missing' '--copy'
 *   environment, line  399:  Called die
 * The specific snippet of code:
 *           die "Failed Running $1 !";
 *
 * If you need support, post the output of 'emerge --info =sys-devel/libtool-2.2.10',
 * the complete build log and the output of 'emerge -pqv =sys-devel/libtool-2.2.10'.
 * The complete build log is located at '/var/tmp/portage/sys-devel/libtool-2.2.10/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/sys-devel/libtool-2.2.10/temp/environment'.
 * S: '/var/tmp/portage/sys-devel/libtool-2.2.10/work/libtool-2.2.10'

 * IMPORTANT: 3 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


io nn so piu dove sbattere la testa!!
Back to top
View user's profile Send private message
djinnZ
Advocate
Advocate


Joined: 02 Nov 2006
Posts: 4831
Location: somewhere in L.O.S.

PostPosted: Mon Dec 27, 2010 8:25 pm    Post subject: Reply with quote

scusa ma quanti slot di autoconf sono installati?
Dovrebbero essercene almeno due e prova a ricompilare e reinstallare autoconf-wrapper textinfo e perl, dopo aver fatto un backup su binario, ovviamente.
_________________
scita et risus abundant in ore stultorum sed etiam semper severi insani sunt:wink:
mala tempora currunt...mater stultorum semper pregna est :evil:
Murpy'sLaw:If anything can go wrong, it will - O'Toole's Corollary:Murphy was an optimist :wink:
Back to top
View user's profile Send private message
xdarma
l33t
l33t


Joined: 08 Dec 2003
Posts: 682
Location: tra veneto e friuli (italy)

PostPosted: Mon Dec 27, 2010 9:02 pm    Post subject: Reply with quote

Se vuoi, posta l'output dei seguenti comandi:
emerge --info
eselect binutils list
eselect env version
eselect profile list
gcc-config -l

grazie.
_________________
proud user of faKeDE-4.7.3
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Mon Dec 27, 2010 11:01 pm    Post subject: Reply with quote

xdarma wrote:
Se vuoi, posta l'output dei seguenti comandi:
emerge --info
eselect binutils list
eselect env version
eselect profile list
gcc-config -l

grazie.


si certo non c'è probleam :)

il risultato del comando emerge --info
Code:
Portage 2.1.9.25 (default/linux/amd64/10.0/desktop/gnome, gcc-4.4.4, glibc-2.11.2-r3, 2.6.36-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.36-gentoo-r5-x86_64-Intel-R-_Pentium-R-_Dual_CPU_T2390_@_1.86GHz-with-gentoo-1.12.14
Timestamp of tree: Sun, 26 Dec 2010 23:00:20 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11-r1
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.4
sys-devel/autoconf:  2.65-r1
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe  -march=core2 -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe  -march=core2 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://gentoo.modulix.net/gentoo/ http://mirror.netcologne.de/gentoo/ http://ftp.heanet.ie/pub/gentoo/ http://ftp.ing.umu.se/linux/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/php /var/lib/layman/dottout"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apm berkdb branding bzip2 cairo cdr cli consolekit cracklib crypt cups cvs cxx dbus dri dts dvd dvdr eds emboss encode evo exif extensions fam firefox fixlafiles flac fortran gdbm gdu gif gnome gnome-keyring gpm gstreamer gtk hal iconv ipv6 jpeg lcms ldap libnotify lm_sensors mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl pmu png policykit ppds pppd python qt3support qt4 readline sdl session spell sqlite sse sse2 sse3 ssl startup-notification svg sysfs tcpd threads tiff truetype udev unicode usb vorbis x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


poi il comando eselect binutils list
Code:
Installed binutils for target x86_64-pc-linux-gnu
  [1]   2.20.1 *

eselect env version
Code:
Version 20100727


eselect profile list
Code:
Available profile symlink targets:
  [1]   default/linux/amd64/10.0
  [2]   default/linux/amd64/10.0/desktop
  [3]   default/linux/amd64/10.0/desktop/gnome *
  [4]   default/linux/amd64/10.0/desktop/kde
  [5]   default/linux/amd64/10.0/developer
  [6]   default/linux/amd64/10.0/no-multilib
  [7]   default/linux/amd64/10.0/server
  [8]   hardened/linux/amd64
  [9]   hardened/linux/amd64/no-multilib
  [10]  selinux/2007.0/amd64
  [11]  selinux/2007.0/amd64/hardened
  [12]  selinux/v2refpolicy/amd64
  [13]  selinux/v2refpolicy/amd64/desktop
  [14]  selinux/v2refpolicy/amd64/developer
  [15]  selinux/v2refpolicy/amd64/hardened
  [16]  selinux/v2refpolicy/amd64/server



gcc-config -l

Code:
gcc-config -l
 [1] x86_64-pc-linux-gnu-4.4.4 *
Back to top
View user's profile Send private message
xdarma
l33t
l33t


Joined: 08 Dec 2003
Posts: 682
Location: tra veneto e friuli (italy)

PostPosted: Tue Dec 28, 2010 7:34 am    Post subject: Reply with quote

emerge --info
Code:

ACCEPT_LICENSE="* -@EULA ~amd64"
CFLAGS="-O2 -pipe  -march=core2 -fomit-frame-pointer"
CXXFLAGS="-O2 -pipe  -march=core2 -fomit-frame-pointer"


Su ACCEPT_LICENSE mi sembra ci sia un pò di confusione, credo ti basti togliere ~amd64.
Sulla tua architettura non serve -fomit-frame-pointer.

Purtroppo sono solo queste le cose che non mi sembrano corrette e non mi sembrano sufficienti per produrre gli effetti che hai descritto.
_________________
proud user of faKeDE-4.7.3
Back to top
View user's profile Send private message
luca120
n00b
n00b


Joined: 10 Jun 2009
Posts: 54

PostPosted: Tue Dec 28, 2010 9:51 am    Post subject: Reply with quote

xdarma wrote:
emerge --info
Code:

ACCEPT_LICENSE="* -@EULA ~amd64"
CFLAGS="-O2 -pipe  -march=core2 -fomit-frame-pointer"
CXXFLAGS="-O2 -pipe  -march=core2 -fomit-frame-pointer"


Su ACCEPT_LICENSE mi sembra ci sia un pò di confusione, credo ti basti togliere ~amd64.
Sulla tua architettura non serve -fomit-frame-pointer.

Purtroppo sono solo queste le cose che non mi sembrano corrette e non mi sembrano sufficienti per produrre gli effetti che hai descritto.


ma io nel make.conf ho solo

Code:
 ACCEPT_LICENSE="*"

e
Code:
 -fomit-frame-pointer.
l'ho commmentato

faccio vedere
Code:
# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-O2 -pipe  -march=core2 " #-fomit-frame-pointer
CXXFLAGS="${CFLAGS}"
MAKEOPTS="-j3"
INPUT_DEVICES="evdev synaptics"
VIDEO_CARDS="intel"
ACCEPT_LICENSE="*"
AUTOCLEAN="yes"

# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="-kde -bluetooth qt4  dbus acpi apm lm_sensors pmu sqlite hal X gnome extensions multilib zlib gtk fixlafiles cvs threads dvd alsa mmx sse sse2 sse3"

GENTOO_MIRRORS="http://trumpetti.atm.tut.fi/gentoo/ http://mirrors.linuxant.fr/distfiles.gentoo.org/ http://gentoo.modulix.net/gentoo/ http://mirror.netcologne.de/gentoo/ http://ftp.heanet.ie/pub/gentoo/ http://ftp.ing.umu.se/linux/gentoo/"
source /var/lib/layman/make.conf



non so se puo serveire ma io lo dico lo stesso, ho provato a compilare libtool da sorgente e la cosa strana che lo compila tranquillamente, allora mi sono detto non è che c'è un problema in emerge? possibile?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum